#!/bin/sh

# First, build HTML with images

jade -ioutput.html -ioutput.png -V nochunks \
	-c /usr/local/share/sgml/docbook/dsssl/modular/catalog \
	-c /usr/local/share/sgml/jade/catalog \
	-c /usr/local/share/sgml/docbook/3.1/catalog \
	-d driver.dsl \
	-t sgml book.sgml > book.html

# Now build HTML without images.  Either inspect book.html-txt to verify
# that the ASCII art has been generated, or load it in to a browser that
# doesn't care about the extension ("w3m -T text/html book.html-txt" works
# quite nicely).

jade -ioutput.html -V nochunks \
        -c /usr/local/share/sgml/docbook/dsssl/modular/catalog \
        -c /usr/local/share/sgml/jade/catalog \
        -c /usr/local/share/sgml/docbook/3.1/catalog \
        -d driver.dsl \
        -t sgml book.sgml > book.html-txt

# Now build Postscript
#
# If your system's like mine, this *won't* pull in fig1.eps for some reason.

jade -Vtex-backend -ioutput.print -ioutput.eps \
        -c /usr/local/share/sgml/docbook/dsssl/modular/catalog \
        -c /usr/local/share/sgml/jade/catalog \
        -c /usr/local/share/sgml/docbook/3.1/catalog \
        -d driver.dsl \
        -t tex -o book.tex-ps book.sgml
tex "&jadetex" book.tex-ps
tex "&jadetex" book.tex-ps
tex "&jadetex" book.tex-ps
dvips -o book.ps book.dvi

# Now build PDF
#
# Notice that we still use -ioutput.print, because this is a print document,
# but we use -ioutput.png, because we want it to use the PNG image.  However,
# it still doesn't do the right thing.

jade -Vtex-backend -ioutput.print -ioutput.png \
        -c /usr/local/share/sgml/docbook/dsssl/modular/catalog \
        -c /usr/local/share/sgml/jade/catalog \
        -c /usr/local/share/sgml/docbook/3.1/catalog \
        -d driver.dsl \
        -t tex -o book.tex-pdf book.sgml
pdftex "&pdfjadetex" book.tex-pdf
pdftex "&pdfjadetex" book.tex-pdf
pdftex "&pdfjadetex" book.tex-pdf

